=== debian/control ===
Source: ros-kinetic-cob-monitoring
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-roscpp, ros-kinetic-topic-tools
Homepage: http://ros.org/wiki/cob_monitoring
Standards-Version: 3.9.2

Package: ros-kinetic-cob-monitoring
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ifstat, ipmitool, ntpdate, python-mechanize, python-paramiko, python-psutil, python-requests, ros-kinetic-actionlib, ros-kinetic-cob-light, ros-kinetic-cob-msgs, ros-kinetic-cob-script-server, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rostopic, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-topic-tools, sysstat
Description: cob_monitoring
